Subject: Re: bug#45826: SBCL / Common Lisp packages fail to build on aarch64

From: Mathieu Othacehe <[email-masked]>
Date: Mon, 18 Jan 2021 14:36:39 +0100

Hey Chris,

> The behaviour is configurable, but the default missing inputs hook will
> submit a new build for a missing input, but only if one doesn't already
> exist. Because of this, you don't get the behaviour where some missing
> prerequisite that fails to built is built over and over again, every
> time you try and build a derivation that uses it.

Oh, makes sense, thanks for explaining. I also had a look to Hydra in
that matter. They are breaking a "Build" into "BuildSteps" corresponding
more or less to the build dependencies, or "Inputs" in the
Coordinator. This way they make sure not to submit multiple times a same
build to the workers.

It means that it is also no longer needed to cache build failures I
guess. I think it would be really nice to port this mechanism to
Cuirass.

Thanks,

Mathieu